Loading...
Searching...
No Matches
version.h File Reference
libavcodec

Libavcodec version macros. More...

`#include "libavutil/version.h"`
`#include "version_major.h"`

Go to the source code of this file.

## Macros

#define | LIBAVCODEC_VERSION_MINOR 28
#define | LIBAVCODEC_VERSION_MICRO 102
#define | LIBAVCODEC_VERSION_INT
#define | LIBAVCODEC_VERSION
#define | LIBAVCODEC_BUILD LIBAVCODEC_VERSION_INT
#define | LIBAVCODEC_IDENT "Lavc" AV_STRINGIFY(LIBAVCODEC_VERSION)

## Detailed Description

Libavcodec version macros.

Definition in file version.h.

## Macro Definition Documentation

## LIBAVCODEC_VERSION_MINOR

#define LIBAVCODEC_VERSION_MINOR 28

Definition at line 32 of file version.h.

## LIBAVCODEC_VERSION_MICRO

#define LIBAVCODEC_VERSION_MICRO 102

Definition at line 33 of file version.h.

## LIBAVCODEC_VERSION_INT

#define LIBAVCODEC_VERSION_INT

Value:
AV_VERSION_INT(LIBAVCODEC_VERSION_MAJOR, \
LIBAVCODEC_VERSION_MINOR, \
LIBAVCODEC_VERSION_MICRO)
AV_VERSION_INT
#define AV_VERSION_INT(a, b, c)
Definition version.h:56
LIBAVCODEC_VERSION_MICRO
#define LIBAVCODEC_VERSION_MICRO
Definition version.h:33
LIBAVCODEC_VERSION_MINOR
#define LIBAVCODEC_VERSION_MINOR
Definition version.h:32
LIBAVCODEC_VERSION_MAJOR
#define LIBAVCODEC_VERSION_MAJOR
Definition version_major.h:28

Definition at line 35 of file version.h.

## LIBAVCODEC_VERSION

#define LIBAVCODEC_VERSION

Value:
AV_VERSION(LIBAVCODEC_VERSION_MAJOR, \
LIBAVCODEC_VERSION_MINOR, \
LIBAVCODEC_VERSION_MICRO)
AV_VERSION
#define AV_VERSION(a, b, c)
Definition version.h:58

Definition at line 38 of file version.h.

## LIBAVCODEC_BUILD

#define LIBAVCODEC_BUILD LIBAVCODEC_VERSION_INT

Definition at line 41 of file version.h.

## LIBAVCODEC_IDENT

#define LIBAVCODEC_IDENT "Lavc" AV_STRINGIFY(LIBAVCODEC_VERSION)

Definition at line 43 of file version.h.